{% extends "frontBase.html.twig" %}

{% block title %}
    Liste des fournisseurs
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Listes des fournisseurs</h1>
            <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
        </div>
    </div>
    <div class="wrapper light-wrapper">
        <div class="container inner">
            {% if form is defined %}
            {{ form_start(form) }}
            <h4 class="widget-title">Filtre</h4>
            <div class="row">
                <div class="col-lg-5">
                    <div class="sidebox widget">
                        <div class="form-group">
                            {{ form_widget(form.name, {attr: {class: 'form-control', placeholder: 'Nom du fournisseur'}}) }}
                        </div>
                    </div>
                </div>
                <div class="col-lg-5">
                    <div class="sidebox widget">
                        <div class="form-group custom-select-wrapper">
                            {{ form_widget(form.region, {attr: {class: 'custom-select'}}) }}
                        </div>
                    </div>
                </div>
                <div class="col-lg-2">
                    <div class="form-group">
                        <button type="submit" class="btn d-block btn-primary">Filtrer</button>
                    </div>
                </div>
            </div>
            {{ form_end(form) }}
            <hr>
            {% endif %}
            <div class="row">
                {% for user in users %}
                <div class="item item-detailed grid-sizer col-md-6 col-lg-4">
                    <div class="box bg-white shadow p-30">
                        <figure class="main rounded mb-30">
                            <div class="item-detailed-image">
                                <a href="{{ path('front_provider_products_listing', {slug: user.slug}) }}">
                                    <img src="{{ user.logoUrl }}" alt="">
                                </a>
                            </div>
                        </figure>
                        <div class="item-content">
                            <h2 class="post-title text-center mb-10"><a href="{{ path('front_provider_products_listing', {slug: user.slug}) }}">{{ user.name }}</a></h2>
                            <p class="price mb-0 text-center">
                                <span class="amount"><i class="jam jam-cog"></i>
                                    {% for field in user.fields %}
                                        {% if loop.last %}
                                            {{ field }}
                                        {% else %}
                                            {{ field }} .
                                        {% endif %}
                                    {% endfor %}
                                </span><br>
                                <span class="amount"><i class="jam jam-map-marker"></i>
                                    {% for region in user.regions %}
                                        {% if loop.last %}
                                            {{ region }}
                                        {% else %}
                                            {{ region }} .
                                        {% endif %}
                                    {% endfor %}
                                </span>
                            </p>
                            {#<span class="ratings five"></span>#}
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}{% endblock %}